
# Interface: IOption

## Hierarchy

* [ProductInformationOption](../classes/productinformationoption.md)

  ↳ **IOption**

## Index

### Constructors

* [constructor](ioption.md#constructor)

### Properties

* [appearanceDataItems](ioption.md#optional-appearancedataitems)
* [description](ioption.md#optional-description)
* [id](ioption.md#id)
* [image](ioption.md#optional-image)
* [isMultiSelect](ioption.md#ismultiselect)
* [name](ioption.md#name)
* [parentWidgetName](ioption.md#optional-parentwidgetname)
* [selected](ioption.md#selected)
* [showValueAdditionalText](ioption.md#optional-showvalueadditionaltext)
* [subType](ioption.md#optional-subtype)
* [tooltip](ioption.md#optional-tooltip)
* [type](ioption.md#optional-type)
* [values](ioption.md#values)

## Constructors

###  constructor

\+ **new IOption**(`dtoOption?`: ProductOptionDto): *[IOption](ioption.md)*

*Inherited from [ProductInformationOption](../classes/productinformationoption.md).[constructor](../classes/productinformationoption.md#constructor)*

**Parameters:**

Name | Type |
------ | ------ |
`dtoOption?` | ProductOptionDto |

**Returns:** *[IOption](ioption.md)*

## Properties

### `Optional` appearanceDataItems

• **appearanceDataItems**? : *AppearanceDataItemDto[] | null*

*Inherited from [ProductInformationOption](../classes/productinformationoption.md).[appearanceDataItems](../classes/productinformationoption.md#optional-appearancedataitems)*

___

### `Optional` description

• **description**? : *string*

*Overrides [ProductInformationOption](../classes/productinformationoption.md).[description](../classes/productinformationoption.md#optional-description)*

___

###  id

• **id**: *number*

*Inherited from [ProductInformationOption](../classes/productinformationoption.md).[id](../classes/productinformationoption.md#id)*

___

### `Optional` image

• **image**? : *ImageInfo*

*Inherited from [ProductInformationOption](../classes/productinformationoption.md).[image](../classes/productinformationoption.md#optional-image)*

___

###  isMultiSelect

• **isMultiSelect**: *boolean*

*Inherited from [ProductInformationOption](../classes/productinformationoption.md).[isMultiSelect](../classes/productinformationoption.md#ismultiselect)*

___

###  name

• **name**: *string*

*Inherited from [ProductInformationOption](../classes/productinformationoption.md).[name](../classes/productinformationoption.md#name)*

___

### `Optional` parentWidgetName

• **parentWidgetName**? : *string*

___

###  selected

• **selected**: *[ProductInformationOptionValue](../classes/productinformationoptionvalue.md)[]* =  []

*Inherited from [ProductInformationOption](../classes/productinformationoption.md).[selected](../classes/productinformationoption.md#selected)*

___

### `Optional` showValueAdditionalText

• **showValueAdditionalText**? : *boolean*

___

### `Optional` subType

• **subType**? : *[IOldOptionSubType](../README.md#ioldoptionsubtype)*

___

### `Optional` tooltip

• **tooltip**? : *string*

*Overrides [ProductInformationOption](../classes/productinformationoption.md).[tooltip](../classes/productinformationoption.md#optional-tooltip)*

___

### `Optional` type

• **type**? : *[IMetadataType](../README.md#imetadatatype)*

*Inherited from [ProductInformationOption](../classes/productinformationoption.md).[type](../classes/productinformationoption.md#optional-type)*

___

###  values

• **values**: *[ProductInformationOptionValue](../classes/productinformationoptionvalue.md)[]* =  []

*Inherited from [ProductInformationOption](../classes/productinformationoption.md).[values](../classes/productinformationoption.md#values)*
